```figlet-bloody
▓██   ██▓ ▄▄▄       ███▄ ▄███▓  ██████ 
 ▒██  ██▒▒████▄    ▓██▒▀█▀ ██▒▒██    ▒ 
  ▒██ ██░▒██  ▀█▄  ▓██    ▓██░░ ▓██▄   
  ░ ▐██▓░░██▄▄▄▄██ ▒██    ▒██   ▒   ██▒
  ░ ██▒▓░ ▓█   ▓██▒▒██▒   ░██▒▒██████▒▒
   ██▒▒▒  ▒▒   ▓▒█░░ ▒░   ░  ░▒ ▒▓▒ ▒ ░
 ▓██ ░▒░   ▒   ▒▒ ░░  ░      ░░ ░▒  ░ ░
 ▒ ▒ ░░    ░   ▒   ░      ░   ░  ░  ░  
 ░ ░           ░  ░       ░         ░  
 ░ ░                                   
```

**Y**et **A**nother **M**eshtastic **S**erver

Inspired slightly by [MeshInfo](https://github.com/MeshAddicts/meshinfo), MeshSense, Network-Managment-Client, and others

I was unhappy with all of these in some way. They're really good for getting a awesome overview. but I'm a bit of a whore for nice stats and data.
This project serves as all that + a full historical backend of a meshtastic network.


## What it does

- Logs meshtastic packets
- Saves them to a database
- Serves the data to a future GUI
- Serves the data to a public webpage

## What it doesn't

- Runs meshtastic (you still need a meshtastic device)
- Supports anything other than TCP Connection. (yet)
  - [ ] Bluetooth (native? how? wtf?)
  - [ ] Direct Serial (this seems easy?)
    - Serial support can be cheated, ser2net works fine.
- Had a GUI (yet?)
  - I'm thinking this is a nice backend, with a egui frontend for that hacker / minimalist / functional look.
- [ ] Lets you send messages/packets
- [ ] Supports multiple meshtasticn nodes

## Installation

You can install this multiple ways.

### Docker

1. use `/docs/docker-compose.yaml`
2. `docker compose up -d` to run it

### Native

1. `git clone`
2. `cargo run`

## Documentation & Support

make a pr for `/docs` or a wiki i guess.

## Contributing

make a pr

## License

AGPL - don't be a dick, keep it open source.

## Credits

Me
Me from the past who wrote this idea down
Me from the future for completing this project (HA!)